Subject: Re: [lojban] New to lojban, any suggestions?

From: Robin Lee Powell <[email-masked]>
Date: Mon, 13 Aug 2001 16:21:51 -0700

On Mon, Aug 13, 2001 at 07:07:00PM -0400, [email-masked] wrote:
> In a message dated 8/13/2001 4:18:38 PM Central Daylight Time, 
> [email-masked] writes:
> 
> 
> > It was an example. You're clear on the concept, yes?
> > 
> > You said that my claim that there is functionality in Linux that Win*
> > doesn't support was 'unlikely'. I gave you an example.
> > 
> > It's not a matter of "I don't know how to do it". It's a matter of
> > "It's impossible without altering the OS or programming in machine
> > language to get around the OS".
> > 
> > Counter-example. 
> 
> OK. Thank you, for adding the useful information -- what I asked for -- that 
> it genuinely is impossible. I won't ask to see the proof, since I probably 
> could not follow the details of the systems anyhow. 
> 
> Now for the deeper question: does this mean that MS can't do something that 
> Linux can. That is, is the function which MS can't compute an in=> out 
> function or one used in the internal operations of Linux? If the latter, 
> then no matter how hard it makes step-by-step emulation, it is ultimately not 
> a shortcoming of MS, if it can accomplish anything that Linux can using 
> another line of operation (abaci have lousy TM emulators, but still calculate 
> all the same functions). And, of course, it may make a difference in 
> efficiency of calculation as well. On the other hand, if it is an external 
> function that Linux can and MS can't calculate, that is a serious defect in 
> MS and worth some putdown points (unless there is a coounter case that MS can 
> and Linux can't compute). 

It's neither, really. It's a function of their security models, which
are rather different, and their means of program execution.

> I thought there were Linux emulators for Windows as well as conversely.

As far as I know, there is the latter but not the former.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ BTW, I'm male, honest.
le datni cu djica le nu zifre .iku'i .oi le so'e datni cu to'e te pilno
je xlali -- RLP http://www.lojban.org/